Bug 57268 - syntax error in inttypes.h with 2.2.4-19 update
Summary: syntax error in inttypes.h with 2.2.4-19 update
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
: 60326 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-08 03:54 UTC by Steven Danz
Modified: 2016-11-24 15:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-08 03:54:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:160 normal SHIPPED_LIVE : Updated glibc packages are available 2001-11-28 05:00:00 UTC

Description Steven Danz 2001-12-08 03:54:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19-6.2.7 i586)

Description of problem:
Compilier compliains about line 37 in inttypes.h from 2.2.4-19 update
/usr/include/inttypes.h:37: invalid preprocessing directive name
Lines 37 reads:
#  defined __need_wchar_t
I believe this should be define, not defined

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.create a simple hello, world main.c that include inttype.h
2.force an undef of __WCHAR_TYPE__ before the inttype.h include
3. compile
4. the error should appear

Additional info:

Comment 1 Jakub Jelinek 2001-12-18 15:04:00 UTC
Fixed in glibc-2.2.4-19.3

Comment 2 Jakub Jelinek 2002-02-25 16:29:06 UTC
*** Bug 60326 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.